%define tarname	BlockCanvas
%define name 	python-enthought-blockcanvas
%define version 3.2.1
%define release %mkrel 1

%define	epoch	1

Summary: 	Enthought Tool Suite - BlockCanvas project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Source0:	http://www.enthought.com/repo/ETS/%{tarname}-%{version}.tar.gz
Patch0:		setup.py.patch
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/block_canvas.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python-enthought-apptools >= %{epoch}:3.4.1
Requires:	python-enthought-chaco >= %{epoch}:3.4.0
Requires:	python-enthought-etsdevtools >= %{epoch}:3.1.1
Requires:	python-enthought-scimath >= %{epoch}:3.0.7
Requires:	python-enthought-traits >= %{epoch}:3.6.0
Requires:	python-numpy >= 1.1.0
Requires:	python-docutils
Requires:	python-configobj
BuildRequires:	python-setupdocs >= 1.0.5
BuildRequires:	python-setuptools >= 0.6c8

%description
The BlockCanvas project provides a visual environment for creating
simulation experiments, where function and data are separated. Thus,
you can define your simulation algorithm by visually connecting
function blocks into a data flow network, and then run it with various
data sets (known as "contexts"); likewise, you can use the same
context in a different functional simulation.

The project provides support for plotting, function searching and
inspection, and optimization. It includes a stand-alone application
that demonstrates the block-canvas environment, but the same
functionality can be incorporated into other applications.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p0

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}

PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.txt 
%py_platsitedir/*


%changelog
* Fri Feb 04 2011 Lev Givon <lev@mandriva.org> 1:3.2.1-1
+ Revision: 635890
- Update to 3.2.1.

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 1:3.2.0-3mdv2011.0
+ Revision: 594923
- rebuild for py 2.7

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 1:3.2.0-2mdv2011.0
+ Revision: 594083
- rebuld for py 2.7

* Sun Oct 17 2010 Lev Givon <lev@mandriva.org> 1:3.2.0-1mdv2011.0
+ Revision: 586462
- Update to 3.2.0.

* Fri May 28 2010 Lev Givon <lev@mandriva.org> 1:3.1.1-2mdv2011.0
+ Revision: 546519
- Rebuild.

* Fri Feb 26 2010 Lev Givon <lev@mandriva.org> 1:3.1.1-1mdv2010.1
+ Revision: 512023
- Update to 3.1.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1:3.1.0-2mdv2010.0
+ Revision: 419284
- Add epoch to permit backport and facilitate update from 2009.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 3.1.0-1mdv2010.0
+ Revision: 419030
- Update to 3.1.0.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 3.0.2-1mdv2010.0
+ Revision: 363847
- Update to 3.0.2.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-1mdv2009.1
+ Revision: 358108
- Update to latest upstream svn.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 3.0.1-2mdv2009.1
+ Revision: 323641
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 313503
- Update to 3.0.1.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298879
- import python-enthought-blockcanvas


